LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Certification (https://www.linuxquestions.org/questions/linux-certification-46/)
-   -   Preparation Tools for RHCE/T on RHEL4 (https://www.linuxquestions.org/questions/linux-certification-46/preparation-tools-for-rhce-t-on-rhel4-365471/)

logosys 09-21-2005 01:07 AM

Preparation Tools for RHCE/T on RHEL4
 
Howdy!
I have made available 2 RPM's to aid you in your troubleshooting practice. They are:
[REMOVED]


Please note that I am funding all of this personally. If you want to say thanks, there's a button at the bottom of this message. If you need anything else, please feel free to PM me, IM me or email me. Best of Luck!

logicalfuzz 09-21-2005 06:04 AM

thanks... :D

deepclutch 09-21-2005 05:59 PM

b/w can u explain what does these rpms do to system?which parts are affected?
is it for RHEL 4 only?

logicalfuzz 09-21-2005 09:33 PM

AFAIK they alter only the scripts....
they are reversible... but nonetheless your system would not function properly without fixing them. and hey... if you cannot figure out how to fix them, they've also got hints... so at the end of the day you can revert back to your old config (as long as you have not committed a blunder yourself !!)
BTW, its a good idea to have a look at the hints after you have solved the problem, sometimes the system does get started, but what we have done may only be a patch-work !!!

logicalfuzz 09-21-2005 09:36 PM

Quote:

RHCE_CON.RPM
is for RHEL3
Quote:

rhce-config-4.0-0.55.noarch.rpm
is for RHEL4

mckenna1967 09-25-2005 08:29 PM

Script install problmems
 
Has anyone run into problems while install the RHEL trouble script
Below is the error:

[root@localhost Troubleshooting]# rpm -ivh rhce-config-4.0-0.55.noarch.rpm
warning: rhce-config-4.0-0.55.noarch.rpm: V3 DSA signature: NOKEY, key ID eca4f642
Preparing... ########################################### {00%]
error: %pre(rhce-config-4.0-0.55.noarch) scriptlet failed, exit status 1
error: install: %pre scriptlet failed (2), skipping rhce-config-4.0-0.55
[root@localhost Troubleshooting]#

logicalfuzz 09-26-2005 03:01 AM

that because logosys has not included the instructions in the first post.
here they are for rhce-config-4.0-0.55.noarch.rpm for RHEL4.
RHCE_CON.RPM should not pose any problems anyway (even without the instructions given below).... reply here if you still face problems.
Code:

Steps to run this tool ...


1> #rpm -ivh rhce-config-4.0-0.55.noarch.rpm
2> then go to /var/ftp/pub/gls/RPMS/
#rpm -ivh rhce-ts-4.0-0.55.noarch.rpm

3> then run ts and give tab twice or
tslocal 1 till 3 or 4 probs will

4> for help  how to solve type" tshint 1 1 "

[edit: ignorethis]PS : i think we need to have all rpms (from the 4 installation cds) in the directory /var/ftp/pub/gls/RPMS. not sure though (try first w/o copying them...and post your observation here)

[edit]
ignore the the lines marked PS. that was some snafu. you have to populate the /var/ftp/pub directory with the files inside the installation cds with
Code:

cp -rf /media/cdrom/* /var/ftp/pub
this will of'course maintain the hierarchy of the directories. now follow thw instructions as given above and extract rhce-config-4.0-0.55.noarch.rpm

logosys 09-26-2005 09:22 AM

Instructions are listed. Sorry that I neglected that.

XOR007 09-26-2005 03:01 PM

Many thanx logosys

mckenna1967 09-26-2005 05:15 PM

Script install problems
 
logicalfuzz - still running into problems installing the rpm. I started with a freshly installed
RHEL4 system. The initial install attempt halted due to some dependencies:

error: Failed dependencies:
dhcp is needed by rhce-config-4.0-0.55.noarch
openldap-servers is needed by rhce-config-4.0-0.55.noarch
perl(Digest::SHA1) is needed by rhce-config-4.0-0.55.noarch
ypserv is needed by rhce-config-4.0-0.55.noarch
Suggested resolutions:
dhcp-3.0.1-12_EL.i386.rpm
openldap-servers-2.2.13-2.i386.rpm
perl-Digest-SHA1-2.07-5.i386.rpm
ypserv-2.13-5.i386.rpm


I copied all the rpms from the install disks, and, as you suggested, into the folder:

/var/ftp/pub/gls/RPMS

( I had to create the /gls/RPMS portion )

I resolved the dependencies and re-ran the install:


[root@localhost Troubleshooting]# rpm -Uvh rhce-config-4.0-0.55.noarch.rpm
warning: rhce-config-4.0-0.55.noarch.rpm: V3 DSA signature: NOKEY, key ID eca4f642
Preparing... ########################################### [100%]
error: %pre(rhce-config-4.0-0.55.noarch) scriptlet failed, exit status 1
error: install: %pre scriptlet failed (2), skipping rhce-config-4.0-0.55

( Still getting the original error )

From your post today, it seems that rhce-config-4.0-0.55.noarch.rpm should install the
file rhce-ts-4.0-0.55.noarch.rpm into /var/ftp/pub/gls/RPMS. Is this correct?

It appears that the script errors in rhce-config-4.0-0.55.noarch.rpm are killing the install.
I tried downloading the file many times including one from a windows box - ran a "diff" on
the two files and nothing was reported.

Has any one installed this successfully? I have installed other rhce-ts-* files for RHEL3
with no problem in the past.

Any help would be appreciated.
Thanks

logicalfuzz 09-26-2005 09:03 PM

doesn't seem like you are installing it on ES/AS. it worked for me in ES. anyways, hope you are having /var/ftp/pub/gls/RPMS/*.rpm ..... and not something like cd1. cd2 ...etc under RPMS directory.
Quote:

I resolved the dependencies and re-ran the install:
do you also now have the rpms of the dependancies in RPMS directory?
Quote:

From your post today, it seems that rhce-config-4.0-0.55.noarch.rpm should install the file rhce-ts-4.0-0.55.noarch.rpm into /var/ftp/pub/gls/RPMS. Is this correct
Correct..

mckenna1967 09-27-2005 09:46 AM

Script install problems
 
I'm using RHEL4 AS. I finally got the rhce-ts rpm to extract. I extracted the %pre section of the script listed below from rhce-config-4.0-0.55.noarch.rpm:

preinstall scriptlet (using /bin/sh):
# jsk: put the files we know we have in place
# rrr: Let's not freak out instructors if CDs haven't been mirrored first. ;)
if [ -d /tftpboot ]; then
[ -f /usr/lib/syslinux/pxelinux.0 ] && cp -f /usr/lib/syslinux/pxelinux.0 /tftpboot
[ -f /var/ftp/pub/images/pxeboot/initrd.img ] && cp -f /var/ftp/pub/images/pxeboot/initrd.img /tftpboot
[ -f /var/ftp/pub/images/pxeboot/vmlinuz ] && cp -f /var/ftp/pub/images/pxeboot/vmlinuz /tftpboot
fi

The files/directories did not exist:

/var/ftp/pub/images/pxeboot/initrd.img
/var/ftp/pub/images/pxeboot/vmlinuz

I created the directories and copied / renamed the files to them from /boot.
rhce-config-4.0-0.55.noarch.rpm ran and extracted rhce-ts-4.0-0.55.noarch.rpm.
It's installed and working.

Did anyone have to go through all this? Or, is it just me?

Anyway, logicalfuzz - thanks for pointing me the the right direction and
logosys - thanks for posting the file.

logicalfuzz 09-28-2005 09:59 AM

oops.... correction
 
well guys.... sorry... small correction. actually its not all that difficult as mckenna1967 did it... only if i had given the right instructions here...i wasn't myself sure about how to do it. i tried it on ES at my institute today. the correct procedure is to extract the files inside the cd in /var/ftp/pub/ ... ie use the following command with the cdrom mounted..
Code:

cp -rf /media/cdrom/* /var/ftp/pub/
yes... the folder hierarcy also remains. After this the rpm file (rhce-config-4.0-0.55.noarch.rpm) is extracted ... which would would place another rpm file (rhce-ts-xxxx.rpm) in /var/ftp/pub/gls/RPMS . now this file is to be installed with the rpm command.

[edit] i have edited the post containing the instructions. to jump to that post click here

ronglv 10-10-2005 01:46 AM

hey buddy i am not able to get the file can u pl give me another link
can i you kindly mail me those rpm's.. thanks.
ronglv2004@163.com or ronglv2002@hotmail.com

LinuxGeek 10-15-2005 11:47 AM

logosys,
I was just wondering how you got hold of these. I am an RHCE and Instruct one of Red Hat's courses at a Red Hat certified training center and know for sure that even candidates that take the courses are not allowed to take the RPMs with them outside the classroom. The RPMs are Red Hat property and are similar to the course material except that individuals that take the course are given course material and allowed to take the material with them but are not allowed to take the troubleshooting scripts with them. I know that you are sharing the files in good faith, but please remove the links unless you are certain of the legality of sharing these files. Thank you for your time.


All times are GMT -5. The time now is 09:44 AM.